System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.MimeParameterWriter

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.

The abstract class inherits from the abstract class, adding URL encoding functionality for client-side writing of Web method parameters into HTTP request streams.

You typically will not need to use or its descendant classes directly. Instead, when the Wsdl.exe tool generates client proxy code according to the HTTP-GET or HTTP-POST implementations, it applies the to each Web method and sets the attribute's property to the appropriate type.

The Hypertext Transfer Protocol--HTTP/1.1 specifies the use of a variation on Multipurpose Internet Mail Extensions (MIME) message format, which itself allows e-mail messages to specify different content types, both text and binary.

Provides URL encoding functionality for writers of out-going request parameters for Web service clients implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  This overload of the method calls the other overload, , for each of the parameter values, including individual items in arrays.

  Encodes all the parameter values for a Web method and writes them to the specified writer.

  A object that does the writing to the HTTP request. The Web method parameter values. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The other signature of the method, , which is called for each Web method, calls this signature of the method for each of the parameter values, including individual items in arrays.

  Encodes a specified parameter value and writes it to the specified writer.

  A object that does the writing to the HTTP request. The name of the parameter that will be encoded. The value of the parameter that will be encoded. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` a

  An initializer is an object passed as a parameter to the method. For the class, the initializer is the value of the property of the input object. The property is a array.The method is invoked during service initialization. Later, at the time a request is populated, the initializer object is passed to the method of another instance. The other object performs the actual writing.

  Returns an initializer for the specified method.

  A that specifies the Web method for which the initializer is obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method is invoked at the time a request is populated.

  The input parameter, , is obtained by calling the method on another instance during client initialization.

  Initializes an instance.

  A array obtained through the property of the class. 1.0.5000.0 2.0.0.0
- Property
  System.Text.Encoding a

  An encoding, as represented by the class, defines how to transform characters into a sequence of bytes.

  Gets or sets the encoding used to write parameters to the HTTP request.

  1.0.5000.0
  2.0.0.0